# Created by pyp2rpm-1.0.1
%define pypi_name pycuda
%define version 2018.1.1

%global __requires_exclude libcuda.so.1

Name:           python-%{pypi_name}
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        Python wrapper for NVIDIA CUDA
License:        MIT
URL:            https://pypi.python.org/pypi/pycuda
Source0:        http://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Build with mga lib names
Patch0:         pycuda-2016.1.2-libboost_python.patch

ExcludeArch:    %ix86 %{arm} aarch64
BuildRequires:  ctags
BuildRequires:  nvidia-cuda-toolkit-devel
BuildRequires:  nvidia-current-devel
BuildRequires:  libgl-devel
BuildRequires:  boost-devel

%description
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python.

%package -n python2-%{pypi_name}
Group:          Development/Python
Summary:        Python 2 wrapper for NVIDIA CUDA
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(sphinx-rtd-theme)
BuildRequires:  pythonegg(2)(numpy)
BuildRequires:  python2-numpy-devel
BuildRequires:  pythonegg(2)(setuptools)
Requires:       pythonegg(2)(pytools) >= 2011.2
Requires:       pythonegg(2)(pytest) >= 2
Requires:       pythonegg(2)(decorator) >= 3.2.0
Requires:       nvidia-current-cuda-opencl
Requires:       nvidia-cuda-toolkit-devel

Obsoletes:      python-pycuda < 2016.1.2-6
Provides:       python-pycuda = %{version}-%{release}

%description -n python2-%{pypi_name}
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python 2.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Python 3 wrapper for NVIDIA CUDA
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(sphinx-rtd-theme)
BuildRequires:  pythonegg(3)(numpy)
BuildRequires:  python3-numpy-devel
BuildRequires:  pythonegg(3)(setuptools)
Requires:       pythonegg(3)(pytools)
Requires:       pythonegg(3)(pytest) >= 2
Requires:       pythonegg(3)(decorator) >= 3.2.0

%description -n python3-%{pypi_name}
PyCUDA lets you access NVIDIA's CUDA parallel computation API from Python 3.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

#(eatdirt) removed, try to download stuff from the internet
# generate html docs 
# sphinx-build doc/source html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
./configure.py \
    --boost-compiler=gcc54 \
    --boost-python-libname="boost_python" \
    --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system --cuda-enable-gl

%py2_build

pushd %{py3dir}
%{__python3} configure.py \
    --boost-compiler=gcc54 \
    --boost-python-libname="boost_python3" \
    --no-use-shipped-boost \
    --cudadrv-lib-dir=%{_libdir}/nvidia-current \
    --ldflags=-lboost_system --cuda-enable-gl

%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files -n python2-%{pypi_name}
%doc README_SETUP.txt README.rst
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README_SETUP.txt README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Wed Mar 20 2019 daviddavid <daviddavid> 2018.1.1-2.mga7
+ Revision: 1379053
- rebuild for new nvidia-cuda-toolkit 10.1.105

* Thu Jan 10 2019 daviddavid <daviddavid> 2018.1.1-1.mga7.nonfree
+ Revision: 1354358
- new version: 2018.1.1
- rebuild for new Python 3.7

* Thu Oct 18 2018 wally <wally> 2017.1.1-3.mga7.nonfree
+ Revision: 1321925
- rebuild for new boost 1.68.0

* Thu Sep 20 2018 umeabot <umeabot> 2017.1.1-2.mga7.nonfree
+ Revision: 1289769
- Mageia 7 Mass Rebuild

* Mon Feb 26 2018 daviddavid <daviddavid> 2017.1.1-1.mga7.nonfree
+ Revision: 1205337
- new version: 2017.1.1
- rebuild for new nvidia-cuda-toolkit 9.1.85
- rename python-pycuda to python2-pycuda

* Mon Dec 25 2017 wally <wally> 2016.1.2-5.mga7.nonfree
+ Revision: 1184703
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 2016.1.2-4.mga7.nonfree
+ Revision: 1178347
- rebuild for boost 1.65

* Fri Sep 22 2017 tv <tv> 2016.1.2-3.mga7.nonfree
+ Revision: 1157720
- rebuild for new boost

* Mon Aug 07 2017 daviddavid <daviddavid> 2016.1.2-2.mga7.nonfree
+ Revision: 1138257
- rebuild for new Python 3.6

* Tue Mar 14 2017 eatdirt <eatdirt> 2016.1.2-1.mga6.nonfree
+ Revision: 1092587
- Upgrade to version 2016.1.2
+ daviddavid <daviddavid>
- rebuild for new nvidia-cuda-toolkit 8.0.61

* Sun Jan 08 2017 daviddavid <daviddavid> 2015.1.3-7.mga6.nonfree
+ Revision: 1080707
- exclude also ARM arches

* Sun Jan 08 2017 daviddavid <daviddavid> 2015.1.3-6.mga6.nonfree
+ Revision: 1080672
- requires python(3)-pytest

* Sat Jan 16 2016 daviddavid <daviddavid> 2015.1.3-5.mga6.nonfree
+ Revision: 923459
- rebuild for new nvidia-cuda-toolkit 7.5.18

* Sun Dec 27 2015 daviddavid <daviddavid> 2015.1.3-4.mga6.nonfree
+ Revision: 916075
- rebuild for new boost 1.60.0

* Sat Oct 10 2015 daviddavid <daviddavid> 2015.1.3-3.mga6.nonfree
+ Revision: 889180
- rewrite patch for python 3.5
- use new python macros
+ tv <tv>
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sat Sep 26 2015 fwang <fwang> 2015.1.3-2.mga6.nonfree
+ Revision: 883759
- rebuild for new boost

* Fri Aug 14 2015 fwang <fwang> 2015.1.3-1.mga6.nonfree
+ Revision: 864643
- we only provides python3 ver now
- 2015.1.3
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Mon Jan 19 2015 philippem <philippem> 2014.1-6.mga5.nonfree
+ Revision: 811437
- cuda is x86_64 only
- rebuild with new Cuda
+ tv <tv>
- new version
- rebuild for missing pythoneggs deps
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 philippem <philippem> 2013.1.1-2.mga5.nonfree
+ Revision: 633233
- rewrite patch for Python3.4
- rebuild for new Python3.4

* Sat Feb 08 2014 philippem <philippem> 2013.1.1-1.mga5.nonfree
+ Revision: 586100
- Update to 2013.1.1, add Python3

* Mon Dec 09 2013 philippem <philippem> 2012.1-5.mga4.nonfree
+ Revision: 556072
- rebuild for new nvidia-cuda-toolkit

* Thu Oct 24 2013 philippem <philippem> 2012.1-4.mga4.nonfree
+ Revision: 546749
- bump rel to fix pythonegg

* Thu Jul 11 2013 fwang <fwang> 2012.1-3.mga4.nonfree
+ Revision: 452820
- rebuild for new boost

* Fri Apr 12 2013 mitya <mitya> 2012.1-2.mga3.nonfree
+ Revision: 409805
- Rebuild with new Boost 1.53

* Sat Mar 30 2013 mitya <mitya> 2012.1-1.mga3.nonfree
+ Revision: 406549
- imported package python-pycuda

